Forum Linux Mint Polska

Pełna wersja: mint 19 kaffeine 2- brak DVB-T
Aktualnie przeglądasz uproszczoną wersję forum. Kliknij tutaj, by zobaczyć wersję z pełnym formatowaniem.
Stron: 1 2 3
Uruchom z terminala i pokaż co tam "wypluwa".
(17-11-2019, 15:13)dedito napisał(a): [ -> ]Uruchom z terminala i pokaż co tam "wypluwa".
 Witam,
dopiero dzisiaj mam możliwość

kaffeine

kaffeine: error while loading shared libraries: libvlc.so.5: cannot open shared object file: No such file or directory


tylko tyle gdzie to szukać
Błąd wskazuje na brak biblioteki powiązanej z VLC.
Masz zainstalowane vlc?
Tu jest opisane obejście błędu:
https://forum.videolan.org/viewtopic.php...64#p323967

EDIT:
Tylko uwaga na komendy - mają za dużo spacji...
Chociaż... tylko strona przetłumaczona na PL w Brave rozjeżdża się. Oryginał jest ok.
(19-11-2019, 19:36)dedito napisał(a): [ -> ]Błąd wskazuje na brak biblioteki powiązanej z VLC.
Masz zainstalowane vlc?
Tak mam zainstalowane VLC
To pokaż co zwróci: whereis libvlc.so.5, w razie czego zaaplikujemy to co @yahoob3 sugeruje
(19-11-2019, 20:14)dedito napisał(a): [ -> ]To pokaż co zwróci: whereis  libvlc.so.5, w razie czego zaaplikujemy to co @yahoob3 sugeruje
whereis libvlc.so.5

libvlc.so: /usr/lib/x86_64-linux-gnu/libvlc.so.12
To może być kwestia poprawy/dorobienia symlinków.
Spróbuj na razie 1 linijki, które są proponowane w wątku linkowanym przez yb3.
Jako root.
Kod:
sudo ln -s /usr/local/lib/libvlc* /usr/lib/
Jak nie zadziała to znowu terminal i wynik błędu.
Chyba, że czujesz się na siłach to możesz lecieć samodzielnie wg wskazówek z linkowanego wątku.
(19-11-2019, 20:25)dedito napisał(a): [ -> ]To może być kwestia poprawy/dorobienia symlinków.
Spróbuj na razie 1 linijki, które są proponowane w wątku linkowanym przez yb3.
Jako root.
Kod:
sudo ln -s /usr/local/lib/libvlc* /usr/lib/
Jak nie zadziała to znowu terminal i wynik błędu.
Chyba, że czujesz się na siłach to możesz lecieć samodzielnie wg wskazówek z linkowanego wątku.
spróbowałem wg wskazówek z linkowanego wątku (i chyba przeliczyłem sie)

Następujące działania rozwiążą problemy z zależnościami:

    Usunięcie następujących pakietów:                                 
1)    kaffeine [2.0.14-1 (bionic, now)]                               
2)    libvlc-bin [4.0.0~rc1~~git20190104+r78891+169~ubuntu18.04.1 (now)]
3)    mint-meta-codecs [2019.07.03 (now, tina)]                       
4)    phonon4qt5-backend-vlc [0.10.1-2 (bionic, now)]                 
5)    vlc [4.0.0~rc1~~git20190104+r78891+169~ubuntu18.04.1 (now)]     
6)    vlc-bin [4.0.0~rc1~~git20190104+r78891+169~ubuntu18.04.1 (now)] 

    Instalacja następujących pakietów:                                 
7)    phonon4qt5-backend-null [4:4.10.0-2 (bionic)]

Dodano po pewnym czasie:
(19-11-2019, 21:03)ziut napisał(a): [ -> ]
(19-11-2019, 20:25)dedito napisał(a): [ -> ]To może być kwestia poprawy/dorobienia symlinków.
Spróbuj na razie 1 linijki, które są proponowane w wątku linkowanym przez yb3.
Jako root.
Kod:
sudo ln -s /usr/local/lib/libvlc* /usr/lib/
Jak nie zadziała to znowu terminal i wynik błędu.
Chyba, że czujesz się na siłach to możesz lecieć samodzielnie wg wskazówek z linkowanego wątku.
spróbowałem wg wskazówek z linkowanego wątku (i chyba przeliczyłem sie)

Następujące działania rozwiążą problemy z zależnościami:

    Usunięcie następujących pakietów:                                 
1)    kaffeine [2.0.14-1 (bionic, now)]                               
2)    libvlc-bin [4.0.0~rc1~~git20190104+r78891+169~ubuntu18.04.1 (now)]
3)    mint-meta-codecs [2019.07.03 (now, tina)]                       
4)    phonon4qt5-backend-vlc [0.10.1-2 (bionic, now)]                 
5)    vlc [4.0.0~rc1~~git20190104+r78891+169~ubuntu18.04.1 (now)]     
6)    vlc-bin [4.0.0~rc1~~git20190104+r78891+169~ubuntu18.04.1 (now)] 

    Instalacja następujących pakietów:                                 
7)    phonon4qt5-backend-null [4:4.10.0-2 (bionic)]

Dodano po pewnym czasie:
przywróciłem system do stanu początkowego
To zrób taki link sudo ln -s /usr/lib/x86_64-linux-gnu/libvlc.so.12 /usr/lib/x86_64-linux-gnu/libvlc.so.5 i spróbuj znowu uruchomić kaffeine w terminalu.
Przy okazji pokaż wynik ls -l /usr/lib/x86_64-linux-gnu/libvlc.so.12

W zasadzie to powinniśmy inaczej tą sprawę rozwiązać, ale testowo można tak pokombinować.
Ogólnie mi to wygląda, że coś (vlc lub kaffeine) instalowałeś z innego źródła niż repozytoria systemowe i stąd te problemy.

PS. I zacznij używać znaczników kodu.
Stron: 1 2 3